@echo off

set SENARIODIR=Y:\airmodel\moves\compass_202306\moves_input_2023
set BATCHRUNDIR=%SENARIODIR%\moves_batchruns
set MRSDIR=%SENARIODIR%\moves_mrs

set logfile=%BATCHRUNDIR%\movesbatchrunlog_16001_2023.txt

C:
set MASTERDIR=C:\Users\Public\EPA\MOVES\MOVES3.0.3

set SharedWorkDir=%MASTERDIR%\SharedWork
cd %MASTERDIR%

if exist %SharedWorkDir%\MSTR* goto :stoprun1
if not exist %SharedWorkDir%\WRKR* goto :stoprun2

if exist moveslog_old.txt erase moveslog_old.txt
if exist moveslog.txt rename moveslog.txt moveslog_old.txt
call setenv.bat

rem run example 1
rem import XML file and build CDB
rem java -Xmx512M gov.epa.otaq.moves.master.commandline.MOVESCommandLine -i "Y:\airmodel\moves\PVNAA_2011\moves_input_2011\moves_mrs\win_pvnaa_2011_16005.xml"

rem run example 2
rem run runspec
rem java -Xmx512M gov.epa.otaq.moves.master.commandline.MOVESCommandLine -noworker -r "Y:\airmodel\moves\PVNAA_2011\moves_input_2011\moves_mrs\win_pvnaa_2011_16005.mrs"

rem more runs add here


rem import XML file and build CDB
java -Xmx512M gov.epa.otaq.moves.master.commandline.MOVESCommandLine -i %MRSDIR%\win_compass_2023_16001.xml

rem run runspec
java -Xmx512M gov.epa.otaq.moves.master.commandline.MOVESCommandLine -noworker -r %MRSDIR%\win_compass_2023_16001.mrs


rem end of runs
copy moveslog.txt %logfile% /Y
pause
exit

:stoprun1
	echo ------------------------------------------------
	echo MOVES is already running by you or someone... STOP!!!
	echo ------------------------------------------------
	echo If you are sure nobody is running MOVES, clean up SharedWork Folder, try again.
	echo ------------------------------------------------	
	pause
	exit

:stoprun2
	echo ------------------------------------------------
	echo No MOVES Workers are running... STOP!!!
	echo ------------------------------------------------
	echo Please start MOVES Workers first and try again.
	echo ------------------------------------------------	
	pause
	exit
