@echo off

set SENARIODIR=C:\CONFORMITY\moves_input_2030
set BATCHRUNDIR=%SENARIODIR%\moves_batchruns
set MRSDIR=%SENARIODIR%\moves_mrs

set logfile=%BATCHRUNDIR%\movesbatchrunlog_16001_2030.txt

C:
set MASTERDIR=C:\Users\Public\EPA\MOVES\MOVES3.0.3


set SharedWorkDir=%MASTERDIR%\SharedWork
cd %MASTERDIR%

if exist %SharedWorkDir%\MSTR* goto :stoprun1
if not exist %SharedWorkDir%\WRKR* goto :stoprun2

if exist moveslog_old.txt erase moveslog_old.txt
if exist moveslog.txt rename moveslog.txt moveslog_old.txt
if exist %logfile% erase %logfile%
call setenv.bat

rem runs add here

rem import XML file and build CDB
java -Xmx512M gov.epa.otaq.moves.master.commandline.MOVESCommandLine -i %MRSDIR%\win_compass_2030_16001.xml


rem run runspec
java -Xmx512M gov.epa.otaq.moves.master.commandline.MOVESCommandLine -noworker -r %MRSDIR%\win_compass_2030_16001.mrs

rem end of runs
copy moveslog.txt %logfile% /Y
pause
exit

:stoprun1
	echo ------------------------------------------------
	echo MOVES is already running by you or someone... STOP!!!
	echo ------------------------------------------------
	echo If you are sure nobody is running MOVES, clean up SharedWork Folder, try again.
	echo ------------------------------------------------	
	pause
	exit

:stoprun2
	echo ------------------------------------------------
	echo No MOVES Workers are running... STOP!!!
	echo ------------------------------------------------
	echo Please start MOVES Workers first and try again.
	echo ------------------------------------------------	
	pause
	exit
